/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_putnbr.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: mmeisson <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2015/11/23 11:01:22 by mmeisson          #+#    #+#             */
/*   Updated: 2015/11/29 17:17:39 by mmeisson         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

void	ft_putnbr(int n)
{
	unsigned int	o;

	o = (n > 0) ? n : -n;
	if (n < 0)
		ft_putchar('-');
	if (o > 9)
		ft_putnbr(o / 10);
	ft_putchar(o % 10 + 48);
}
